module Scout
  module Environment
    def self.scoutd_child?
      ENV['SCOUTD_VERSION'] ? true : false
    end

    def self.scoutd_version
      ENV['SCOUTD_VERSION'] || ""
    end

    def self.scoutd_payload_url
      ENV['SCOUTD_PAYLOAD_URL']
    end

    def self.bundler?
      ENV['BUNDLE_BIN_PATH'] && ENV['BUNDLE_GEMFILE']
    end

    def self.rvm?
      ENV['MY_RUBY_HOME'] && ENV['MY_RUBY_HOME'].include?('rvm')
    end

    def self.rvm_path
      rvm_path = `rvm env --path`
      $?.exitstatus == 0 ? rvm_path : false
    end

    def self.rvm_path_instructions
      self.rvm_path || "[PATH TO RVM ENVIRONMENT FILE]"
    end

    def self.old_rvm_version?
      self.rvm? && !self.rvm_path
    end
  end
end
